Skip to main content
`Ctrl`+`K`

# DMDAGetDof

Gets the number of degrees of freedom per vertex

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetDof(DM da, PetscInt *dof)

Not Collective

## Input Parameter

- da - The `DMDA`

## Output Parameter

- dof - Number of degrees of freedom per vertex

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDASetDof()`, `DMDACreate()`, `DMDestroy()`

## Level

intermediate

## Location

src/dm/impls/da/da.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages